Bug 62173 - Empty /initrd directory created
Empty /initrd directory created
Product: Red Hat Linux
Classification: Retired
Component: filesystem (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-03-27 23:47 EST by Chris Ricker
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-27 23:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-27 23:47:23 EST
filesystem creates an empty /initrd directory:

[kaboom@skuld BUILD]$ ls -la /initrd  
total 8
drwxr-xr-x    2 root     root         4096 Jun 21  2001 .
drwxr-xr-x   18 root     root         4096 Mar 27 17:05 ..
[kaboom@skuld BUILD]$ rpm -qf /initrd 
[kaboom@skuld BUILD]$
Comment 1 Bill Nottingham 2002-03-27 23:53:01 EST
Yes. It's for the initrd.
Comment 2 Chris Ricker 2002-03-27 23:55:25 EST
Shouldn't that go in /boot?
Comment 3 Bill Nottingham 2002-03-28 00:00:34 EST
No, it has to be on the root FS.
Comment 4 Chris Ricker 2002-03-28 00:09:33 EST
That seems, to me, to be a violation of the FHS....  If I remember right, it
says that all boot files other than configs must be in /boot, and the kernel
itself (which is what I guess initrd would be classified as) must be in / or /boot.
Comment 5 Bill Nottingham 2002-03-28 00:12:05 EST
Oh well... it's required for switching the root FS between the initrd and the
real root filesystem.
Comment 6 Chris Ricker 2002-03-28 00:26:04 EST
Here's what the LSB actually says:

3.5 /boot : Static files of the boot loader
3.5.1 Purpose
This directory contains everything required for the boot process except
configuration files and the map
installer. Thus /boot stores data that is used before the kernel begins
executing user-mode programs.
This may include saved master boot sectors, sector map files, and other data
that is not directly edited by
3.5.2 Specific Options
The operating system kernel must be located in either / or /boot.3

2.    Programs necessary to arrange for the boot loader to be able to boot a
file must be placed in /sbin. Configuration files for
boot loaders must be placed in /etc.
3.    On some i386 machines, it may be necessary for /boot to be located on a
separate partition located completely below cylinder
1024 of the boot device due to hardware constraints.
Certain MIPS systems require a /boot partition that is a mounted MS-DOS
filesystem or whatever other filesystem type is
accessible for the firmware. This may result in restrictions with respect to
usable filenames within /boot (only for affected

This would seem to violate that (but then, so does /boot/grub/grub.conf ;-).  I
can't imagine that /initrd would cause interoperability problems, though.

Note You need to log in before you can comment on or make changes to this bug.